# comment out if not prerelease
#define prel	alpha.230316.3abdadb7

%define tag	LiXia.ecd1138c

%if 0%{?prel:1}
%define lpre 	%(echo %{prel} | tr A-Z a-z)
%endif

%define rel	2

Name:		goldendict-ng
Version:	24.05.05
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	The Best Multi-format dictionary lookup program (Next Generation GoldenDict)
Group:		Office/Dictionary
License:	GPLv3+
URL:		https://xiaoyifang.github.io/goldendict-ng/
Source0:	https://github.com/xiaoyifang/goldendict-ng/archive/v%{version}%{?tag:-%tag}%{?prel:-%prel}/goldendict-ng-%{version}%{?tag:-%tag}%{?prel:-%prel}.tar.gz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64

BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6WebEngineCore)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6TextToSpeech)

BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(opencc)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(lzo2)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xapian-core)
BuildRequires:	pkgconfig(libzim)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(tomlplusplus)
# ffmpeg
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libswresample)
# xz-devel
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	eb-devel

Obsoletes:	goldendict < 24.05.05
Provides:	goldendict = %{version}-%{release}

%description
The Next Generation GoldenDict. A feature-rich open-source dictionary lookup
program, supporting multiple dictionary formats and online dictionaries.

%prep
%autosetup -p1 -n %{name}-%{version}%{?tag:-%tag}%{?prel:-%prel}

# remove unneeded third-party libraries
rm -r thirdparty/{fmt,qwebengine_ts,tomlplusplus}
rm -r winlibs

%build
%cmake \
    -GNinja \
    -DUSE_SYSTEM_FMT=ON \
    -DUSE_SYSTEM_TOML=ON \
    -DUSE_ALTERNATIVE_NAME=ON \
    -DCMAKE_SKIP_RPATH=ON
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/io.github.xiaoyifang.goldendict_ng.desktop
%{_datadir}/pixmaps/%{name}.png
%{_metainfodir}/io.github.xiaoyifang.goldendict_ng.metainfo.xml


%changelog
* Sun Jun 16 2024 wally <wally> 24.05.05-2.mga10
+ Revision: 2074486
- rebuild to get rid of obsoleted goldendict

* Fri May 31 2024 daviddavid <daviddavid> 24.05.05-1.mga10
+ Revision: 2068981
- new version: 24.05.05
- switch to the forked goldendict-ng

* Thu Mar 16 2023 papoteur <papoteur> 23.02.07-0.alpha.230316.3abdadb7.1.mga9
+ Revision: 1949423
- new 23.02.07 from a fork

* Mon Dec 12 2022 ns80 <ns80> 1.5.0-0.rc2.11.mga9
+ Revision: 1921037
- rebuild for new libtiff

* Mon Jun 13 2022 papoteur <papoteur> 1.5.0-0.rc2.10.mga9
+ Revision: 1864326
- Force build with C++14: ISO C++17 does not allow dynamic exception specifications
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 1.5.0-0.rc2.8.mga8
+ Revision: 1658500
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.5.0-0.rc2.7.mga8
+ Revision: 1524655
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 1.5.0-0.rc2.6.mga7
+ Revision: 1381813
- Qt5 Rebuild

* Fri Nov 23 2018 daviddavid <daviddavid> 1.5.0-0.rc2.5.mga7
+ Revision: 1333472
- rebuild for new hunspell 1.7.0

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-0.rc2.4.mga7
+ Revision: 1298024
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 daviddavid <daviddavid> 1.5.0-0.rc2.3.mga7
+ Revision: 1234921
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Sun Aug 06 2017 daviddavid <daviddavid> 1.5.0-0.rc2.2.mga7
+ Revision: 1137587
- rebuild for new libhunspell 1.6

* Thu Nov 24 2016 wally <wally> 1.5.0-0.rc2.1.mga6
+ Revision: 1069750
- new version 1.5.0 RC2
- switch to Qt5

* Thu Apr 21 2016 tv <tv> 1.5-0.git20151103.9.mga6
+ Revision: 1004212
- rebuid for libhunspell 1.4

* Mon Feb 15 2016 umeabot <umeabot> 1.5-0.git20151103.8.mga6
+ Revision: 960503
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 alexl <alexl> 1.5-0.git20151103.7.mga6
+ Revision: 898409
- update to the latest git snapshot
- s/makeinstall_std/make_install/
- update %%files section

* Tue Jan 06 2015 alexl <alexl> 1.5-0.git20140108.6.mga5
+ Revision: 808887
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.5-0.git20140108.5.mga5
+ Revision: 748394
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 alexl <alexl> 1.5-0.git20140108.4.mga5
+ Revision: 724686
- translated desktop file (i18n-desktop.patch)
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Thu Apr 10 2014 daviddavid <daviddavid> 1.5-0.git20140108.3.mga5
+ Revision: 613257
- use %%makeinstall_std macro
- drop unneeded argument on makeinstall_std
- minor cosmetic change

* Wed Apr 09 2014 alexl <alexl> 1.5-0.git20140108.2.mga5
+ Revision: 613021
- fix double BuildRequires

* Wed Apr 09 2014 alexl <alexl> 1.5-0.git20140108.1.mga5
+ Revision: 613012
- add missing BuildRequires
- imported package goldendict

